#!/bin/ksh

DEPOT=$1
CC=$2
PPPP=$3
VVV=$4

if [[ "$CC" = "jr" ]]; then
   EXT=ctp
else
   EXT=jar
fi

#BASE=$DEPOT/$CC/$VVV/unix/$CC$PPPP
BASE=$DEPOT/$CC/$VVV
BUNIX=$BASE/unix
BPLUGIN=$BASE/InstallITM/plugin/plugins
CIPLUGIN=$DEPOT/ci/InstallITM/plugin/plugins
CIUNIX=$DEPOT/ci/unix

CCPPPP=$CC$PPPP
FILEEXT=$CCPPPP.$EXT
FILETXT=$CCPPPP.txt

if [[ -d "$BPLUGIN" ]]; then
   mkdir -p $CIPLUGIN
   for var in `cd $BPLUGIN; ls`
   do
      rm -f $CIPLUGIN/$var
      cp $BPLUGIN/$var $CIPLUGIN/$var
   done
fi

cd $CIUNIX

LIST="$FILEEXT $FILETXT"
if [[ "$CC" = ud && "$PPPP" = *6 ]] || [[ "$CC" = @(lz) ]]; then
   if [[ -d "$BUNIX" ]]; then
      LIST=`cd $BUNIX; ls`
   else
      LIST=""
   fi
fi

for var in $LIST
do
if [[ -f "$BUNIX/$var" ]]; then
	rm -f $var
	ln -fs $BUNIX/$var $var
	[[ $? -ne 0 ]] && exit 1
fi
done

exit 0
