#!/bin/ksh
# sqlplus $ACCESSID/$ACCESSPSWD << EOF

export PATH=~$1/sqllib/profile.env:~$1/sqllib/db2profile:$PATH
#print PATH=$PATH
#print $1 $2 $3 $4
home1=$(eval print "~$1")
. $home1/sqllib/profile.env
. $home1/sqllib/db2profile
#print "Connecting to the CNPS database ..."
db2 connect to $2 user $3 using $4 > /dev/null
db2RC="$?"
if [[ "$db2RC" = "0" ]]; then
##   authTest="DBADM CREATETAB BINDADD CONNECT CREATE_NOT_FENCED_ROUTINE IMPLICIT_SCHEMA LOAD CREATE_EXTERNAL_ROUTINE QUIESCE_CONNECT"
   authTest="DBADM CREATETAB BINDADD CONNECT CREATE_NOT_FENC IMPLICIT_SCHEMA LOAD CREATE_EXTERNAL_ROUTINE QUIESCE_CONNECT"
   authList=$(db2 get authorizations|grep Direct|grep YES|cut -f3 -d' ')
#   print "$authList"
   found=0
   for auth1 in $authTest; do
      search=$(print $authList | grep -q -w "$auth1"; print "$?")
      if [[ $search != 0 ]]; then
#         print $auth1
         found=1
         break
      fi
   done
   if [[ "$found" != "0" ]]; then
#      print 112
      exit 1;
   else
      exit 0;
   fi
else
#   print 111
   exit 1;
fi

