@echo off

echo "start determine.bat" > %INST_COMP_ENV_INFO_SCRATCH_DIR%\determine.run
echo "CANDLE_HOME: %CANDLE_HOME%" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\determine.run

if "%CANDLE_HOME%"=="" goto noHome
if not exist "%CANDLE_HOME%\CNPS" goto noTEPS
if exist     %CANDLE_HOME%\CNPS\sqllib\kfw_de_pres.sql echo found kfw_de_pres.sql        > %CANDLE_HOME%\CNPS\sqllib\isde.txt
if not exist %CANDLE_HOME%\CNPS\sqllib\kfw_de_pres.sql echo did not find kfw_de_pres.sql > %CANDLE_HOME%\CNPS\sqllib\isxe.txt

echo "Checking which file if either was written" >> $INST_COMP_ENV_INFO_SCRATCH_DIR\determine.run

if exist   %CANDLE_HOME%\CNPS\sqllib\isde.txt echo %CANDLE_HOME%\CNPS\sqllib\isde.txt was written >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\determine.run

if exist   %CANDLE_HOME%\CNPS\sqllib\isxe.txt echo %CANDLE_HOME%\CNPS\sqllib\isxe.txt was written >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\determine.run

goto end

:noHome
echo CANDLE_HOME environment variable not defined
exit 2

:noTEPS
echo Did not find a valid TEPS install in %CANDLE_HOME%
exit 2

:end
echo "end determine.bat" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\determine.run
