#!/bin/ksh

echo "start postinstall_callpoint.sh"
echo "start postinstall_callpoint" > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
echo "CANDLEHOME: $CANDLEHOME"
echo "CANDLEHOME: $CANDLEHOME" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

set > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.set_info

curDir=`pwd`
echo "Current dir: $curDir"
echo "Current dir: $curDir" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

ls -la > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.dir_info

# we only want to run this in the install case
echo "Value of INST_COMP_BASE_INFO_INSTALL_OPERATION: $INST_COMP_BASE_INFO_INSTALL_OPERATION"

   if [ $INST_COMP_BASE_INFO_INSTALL_OPERATION = "fresh" ]
   then
      echo "The install operation is fresh - we only run with upgrade - exiting"
      echo "The install operation is fresh - we only run with upgrade - exiting" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
      exit
   else
      echo "The install operation is upgrade - we only run with upgrade - continuing"
      echo "The install operation is upgrade - we only run with upgrade - continuing" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
   fi

# Doesn't need to be called
#echo "Calling determine.sh"
#echo "Calling determine.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
#cmd1="ksh $curDir/determine.sh"
#echo "COMMAND1: $cmd1"
#$cmd1
#retCode=$?
#echo "return code: $retCode"
#echo "return code: $retCode" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
#echo "Done calling determine.sh"
#echo "Done calling determine.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

echo "Calling postinstall.sh"
echo "Calling postinstall.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
cmd2="ksh $curDir/postinstall.sh"
echo "COMMAND2: $cmd2"
$cmd2
retCode=$?
echo "return code: $retCode"
echo "return code: $retCode" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
echo "Done calling postinstall.sh"
echo "Done calling postinstall.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run


