
DELETE FROM O4SRV.TSITDESC WHERE SITNAME="UADVISOR_KSY_ENABLE";  
DELETE FROM O4SRV.SITDB WHERE RULENAME="KSY.ENABLE";


INSERT INTO O4SRV.TSITDESC
( AFFINITIES, AUTOSTART, HUB, LSTCCSID, LSTDATE, LSTRELEASE, LSTUSRPRF,
    PDT, QIBSCOPE, REEV_DAYS, REEV_TIME, SITNAME, TEXT)
VALUES
( "0000000000100000000000000000000000000000000",
    "*SYN", " ", "65535", "9999999999999",
    "1.0", "SYSADMIN", "*IF *VALUE Local_Time.Seconds *GT 0", "I",
    "0", "00060000", "UADVISOR_KSY_ENABLE", 
    "UADVISOR History Situation for KSY_ENABLE"
);  

INSERT INTO O4SRV.SITDB
( RULENAME, PREDICATE)
VALUES
( "KSY.ENABLE", 'SELECT ORIGINNODE FROM KSY.ENABLE 
     WHERE SYSTEM.PARMA("HISTORY","IRA",3) AND
     SYSTEM.PARMA("INTERVAL","00300000",10) AND
     SYSTEM.PARMA("NODELIST","*ALL",4) AND
     SYSTEM.PARMA("WAREHOUSE","TRIGGER(1)",10) AND
     SYSTEM.PARMA("SITNAME","UADVISOR_KSY_ENABLE",21);'
);  
