#!/bin/ksh

LOG=$INST_COMP_ENV_INFO_SCRATCH_DIR/backup.run

echo "Start backup.sh" > $LOG
echo "CANDLEHOME: $CANDLEHOME" >> $LOG

if [ ! -d "$CANDLEHOME" ] ; then
    echo "CANDLEHOME environment variable not set or directory not found"
    echo "CANDLEHOME environment variable not set or directory not found" >> $LOG
fi

# Backup kul_configfile.
# $INST_COMP_ENV_INFO_SCRATCH_DIR is used for temporary storage between 
# callpoint calls; it is a private sandbox.
cp $CANDLEHOME/config/kul_configfile $INST_COMP_ENV_INFO_SCRATCH_DIR/

echo "End backup.sh"
echo "End backup.sh" >> $LOG
