#!/bin/ksh

LOG=$INST_COMP_ENV_INFO_SCRATCH_DIR/backup.run

echo "Start restore.sh" > $LOG
echo "CANDLEHOME: $CANDLEHOME" >> $LOG

if [ ! -d "$CANDLEHOME" ] ; then
    echo "CANDLEHOME environment variable not set or directory not found"
    echo "CANDLEHOME environment variable not set or directory not found" >> $LOG
fi

# Restore kul_configfile.
# $INST_COMP_ENV_INFO_SCRATCH_DIR is used for temporary storage between 
# callpoint calls; it is a private sandbox.
cp $INST_COMP_ENV_INFO_SCRATCH_DIR/kul_configfile $CANDLEHOME/config/

echo "End restore.sh"
echo "End restore.sh" >> $LOG
