#
# This gets appended to start/stop script on unix systems

start_all()
{
#      $CANDLEHOME/bin/CandleAgent start all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent start all >/dev/null 2>&1
}

stop_all()
{
#      $CANDLEHOME/bin/CandleAgent stop all >/dev/null 2>&1
      $CANDLEHOME/bin/itmcmd agent stop all >/dev/null 2>&1
}



PATH="$CANDLEHOME/bin:$PATH"
export PATH

set +e

case "$1" in
  inetd)
      start_all
      ;;
  stop_msg)
      shift
      print "Stopping the IBM/Tivoli Monitoring agents"
      ;;
  start_msg)
      shift
      print "Starting the IBM/Tivoli Monitoring agents"
      ;;

   start)
      start_all
      ;;

   restart)
      stop_all
      start_all
      ;;

   stop)
      stop_all
      ;;
   *)
      print "Unknown flag passed to $0."
      print "Usage: $0 {start, stop, restart}"
esac

