#!/bin/ksh
#set -x

  KFW_DB2PREP_LOG=$6

  # Set up the path
  command_dir="$(dirname `which $0`)"
  command_dir=$((cd $command_dir ; pwd) | sed 's/\/tmp_mnt\/net//' | sed 's/\/net//')

  CH_DIR=$(cd $(dirname $0) ; dirname $(pwd) )

  KFW_DATE=`date`

  print "Starting db2prep on " $KFW_DATE 
  print "db2prep starting on " $KFW_DATE |tee -a ${KFW_DB2PREP_LOG}

  su - $2 "-c $command_dir/kfwdb2prep.sh  $1 $2 $3 $4 $5 $6 $7 $CH_DIR"
  testCode1=$?

  if [ $testCode1 != 0 ]
  then
	print "The following command failed: $command_dir/kfwdb2prep.sh $1 $2 $3 $4 $5 $6 $7 $CH_DIR" |tee -a ${KFW_DB2PREP_LOG}
	return $testCode1;
  fi

# If we are here, we've passed the call, which means success => return 0
return 0;

