@echo off

echo "start add2cnp.bat" > %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "CANDLE_HOME %CANDLE_HOME%" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

echo Updating TEP startup bat files > %CANDLE_HOME%\CNP\logs\patchinstall.log
echo ^(deploy.jar)(?!;cnp_ps.jar+)(.*)>%TEMP%\sedparm1.tmp
if NOT ERRORLEVEL 0 (
	echo  ERROR: Can not create %TEMP%\sedparm1.tmp. >> %CANDLE_HOME%\CNP\logs\patchinstall.log
	echo "error: Can not create %TEMP%\sedparm1.tmp" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	exit 2
)
echo "After error check #1" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo ^$1;cnp_ps.jar^$2 >%TEMP%\sedparm2.tmp
if NOT ERRORLEVEL 0 (
	echo  ERROR: Can not create %TEMP%\sedparm2.tmp. >> %CANDLE_HOME%\CNP\logs\patchinstall.log
	echo "error: Can not create %TEMP%\sedparm1.tmp" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	exit 2
)
echo "After error check #2" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "Dir list of cnp.bat files before any changes" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
dir /b %CANDLE_HOME%\CNP\cnp*.bat* >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "Done Dir list of cnp.bat files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

echo "Starting loop" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

for %%x in (%CANDLE_HOME%\CNP\cnp*.bat) DO (

	echo "Update file================================================" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	echo "FILE:  %%x" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

    	type %%x |%SystemRoot%\system32\cscript.exe //B %CANDLE_HOME%\CNP\sed.vbs %TEMP%\sedparm1.tmp %TEMP%\sedparm2.tmp > %%x.new
	
    	if NOT ERRORLEVEL 0 (
	    echo "error: Can not modify jar file list in %%x.bat"
	    echo  ERROR: Can not modify jar file list in %%x.bat >> %CANDLE_HOME%\CNP\logs\patchinstall.log
	    exit 2
    	)
	echo "Done writing new file with replaced values" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	echo "Dir to check what is there now" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	dir %CANDLE_HOME%\CNP\cnp*.bat* >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	echo "Done: Dir to check what is there now after this move >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

    	echo   Updating %%x >> %CANDLE_HOME%\CNP\logs\patchinstall.log

	echo "Move files around" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	echo "move %%x %%x.ORIG" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
	echo "copy %%x.new %%x" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

	move %%x %%x.ORIG
	copy %%x.new %%x
)

echo "Ending loop" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

echo "" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "Final dir list to see what was changed" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
dir %CANDLE_HOME%\CNP\cnp*.bat* >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "Done: Final dir list to see what was changed" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo "" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run

REM echo "deleting files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
REM echo "deleting files" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
REM del %TEMP%\sedparm1.tmp
REM del %TEMP%\sedparm2.tmp
REM echo "files deleted" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run
echo TEP startup bat files updated >> %CANDLE_HOME%\CNP\logs\patchinstall.log
	
echo "end add2cnp.bat" >> %INST_COMP_ENV_INFO_SCRATCH_DIR%\add2cnp.run


