#!/bin/ksh

echo "start postinstall_callpoint.sh"
echo "CANDLEHOME: $CANDLEHOME"
echo "start postinstall_callpoing" > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
set > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.set_info

curDir=`pwd`
echo "Current dir: $curDir"

ls -la > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.dir_info

# we only want to run this in the install case
echo "Value of INST_COMP_BASE_INFO_INSTALL_OPERATION: $INST_COMP_BASE_INFO_INSTALL_OPERATION"

if [ $INST_COMP_BASE_INFO_INSTALL_OPERATION = "fresh" ]
then
  echo "The install operation is fresh - we only run with upgrade - exiting"
  echo "The install operation is fresh - we only run with upgrade - exiting" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
  exit
else
  echo "The install operation is upgrade - we only run with upgrade - continuing"
  echo "The install operation is upgrade - we only run with upgrade - continuing" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
fi

echo "Calling add2cnp.sh"
echo "Calling add2cnp.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
cmd3="ksh $curDir/add2cnp.sh"
echo "COMMAND2: $cmd3"
$cmd3
retCode=$?
echo "return code: $retCode"
echo "return code: $retCode" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
echo "Done calling add2cnp.sh"
echo "Done calling add2cnp.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

