#!/bin/ksh

RUNLOG=$INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
print "start postinstall_callpoint" | tee $RUNLOG

set > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.set_info
ls -la > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.dir_info

print "CANDLEHOME: $CANDLEHOME"
curDir=`pwd`
print "Current dir: $curDir"
# we run this for both fresh and upgrade install cases
print "INST_COMP_BASE_INFO_INSTALL_OPERATION: $INST_COMP_BASE_INFO_INSTALL_OPERATION"

#Do something usefull
print "Calling fixDB2inHDini.sh" | tee -a $RUNLOG
cmd3="ksh $curDir/fixDB2inHDini.sh"
print "COMMAND: $cmd3"
$cmd3
retCode=$?
print "return code: $retCode" | tee -a $RUNLOG
print "Done calling fixDB2inHDini.sh" | tee -a $RUNLOG

