/******************************************************************************/
/* @(#)23       1.4  src/knt/knt_del.sql, knt, omnt_FP6, initial.level 9/8/05 21:11:51                                              */
/*                                                                            */
/* COMPONENT_NAME: knt                                                        */
/*                                                                            */
/* FUNCTIONS:                                                                 */
/*                                                                            */
/* Date: 9/8/05 21:11:51                                                              */
/*                                                                            */
/* Source: src/knt/knt_del.sql, knt, omnt_FP6, initial.level                                                                */
/*                                                                            */
/* Revision: 1.4                                                              */
/*                                                                            */
/* ORIGINS:                                                                   */
/*                                                                            */
/* $Id:                                                                       */
/*                                                                            */
/* ***********************************************************************    */
/*   Licensed Materials - Property of IBM				      */
/*   5724-C04								      */
/*									      */
/*   Copyright IBM Corp. 2005 All Rights Reserved			      */
/*   US Government Users Restricted Rights - Use, duplication or              */
/*   disclosure restricted by GSA ADP Schedule Contract with                  */
/******************************************************************************/
/******************************************************************************/
/* ---------------------------------------------------------------------------- */
/*               Copyright(C) 2001, Candle Corporation, U.S.A.                  */
/*            All rights reserved.  Use permissable by licence only.            */
/* ---------------------------------------------------------------------------- */
/*  Name:    knt_del.sql                                                        */
/*  Purpose: Deletes knt.sql inserts                                            */
/* ---------------------------------------------------------------------------- */
/*  Date        | User  | Description                                           */
/* -------------+-------+------------------------------------------------------ */
/*  2001/12/26  | HORTI | Fixed removal of TTMPLSIT data                        */
/*  2001/06/07  | HORTI | Created                                               */
/* -------------+-------+------------------------------------------------------ */
/*
 *  $Log: knt_del.sql,v $
 *  Revision 1.1.1.1  2003/11/24 04:22:24  mevans
 *  ctvc import
 *
   
      Rev 1.0   30 Jan 2002 14:06:54   HORTI
   NT300: NTWS6005
 *
 */
DELETE FROM O4SRV.TMANTMPL WHERE NAME = "NT Server";

/* Template status */
DELETE FROM O4SRV.TTMPLSIT WHERE TEMPLATE = "NT Server";

/* Template states */
DELETE FROM O4SRV.TTMPLSTA WHERE TEMPLATE = "NT Server";

/* Commands */
DELETE FROM O4SRV.CCT WHERE KEY = "NTSTARTSERVICE";
DELETE FROM O4SRV.CCT WHERE KEY = "NTSTOPSERVICE";

/* Situations */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Available_Bytes_Critical"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Available_Bytes_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Bottleneck_Disk";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Bottleneck_Memory";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Bottleneck_Paging";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Bottleneck_Processor";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Context_Switches_Sec";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Context_Switches_Sec_Low"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Disk_Space_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Invalid_Logon_Attempt";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Log_Space_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Logical_Disk_Space_Critic
al";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Logical_Disk_Space_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Memory_Pages_Sec";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Memory_Pages_Sec_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Missing_Msdtc_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Missing_Process";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Number_Processes_Critical
";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Number_Processes_Warning"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Paging_File_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Paging_File_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Disk_Time";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Disk_Time_Low";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Processor_Time";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Processor_Time_Lo
w";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Total_Proc_Time";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Percent_Total_Proc_Time_L
ow";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Physical_Disk_Busy_Critic
al";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Physical_Disk_Busy_Warnin
g";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Process_CPU_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Process_CPU_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Process_Memory_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Process_Memory_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Processor_Interrupts_Crit
ical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Processor_Interrupts_Warn
ing";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Service_Error";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_Services_Automatic_Start"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_CPU_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_CPU_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_File_Critical";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_File_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_Proc_Q_Length";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_Proc_Q_Length_Low"
;
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_Total_Interrupts";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "NT_System_Total_Interrupts_L
ow";

/* Object activation list */
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Available_Bytes_Critical"
;
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Available_Bytes_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Bottleneck_Disk";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Bottleneck_Memory";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Bottleneck_Paging";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Bottleneck_Processor";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Context_Switches_Sec";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Context_Switches_Sec_Low"
;
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Disk_Space_Low";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Invalid_Logon_Attempt";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Log_Space_Low";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Logical_Disk_Space_Critic
al";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Logical_Disk_Space_Warnin
g";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Memory_Pages_Sec";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Memory_Pages_Sec_Low";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Missing_Msdtc_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Missing_Process";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Number_Processes_Critical
";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Number_Processes_Warning"
;
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Paging_File_Critical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Paging_File_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Disk_Time";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Disk_Time_Low";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Processor_Time";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Processor_Time_Lo
w";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Total_Proc_Time";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Percent_Total_Proc_Time_L
ow";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Physical_Disk_Busy_Critic
al";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Physical_Disk_Busy_Warnin
g";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Process_CPU_Critical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Process_CPU_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Process_Memory_Critical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Process_Memory_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Processor_Interrupts_Crit
ical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Processor_Interrupts_Warn
ing";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Service_Error";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_Services_Automatic_Start"
;
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_CPU_Critical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_CPU_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_File_Critical";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_File_Warning";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_Proc_Q_Length";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_Proc_Q_Length_Low"
;
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_Total_Interrupts";
DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME = "NT_System_Total_Interrupts_L
ow";

/* Policies */
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "NT_Disk_Busy";
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "NT_Disk_Full";
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "NT_Log_Management";
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "NT_Process_CPU";
DELETE FROM O4SRV.TPCYDESC WHERE PCYNAME = "NT_Process_Memory";

/* Policy activities */
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "NT_Disk_Busy";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "NT_Disk_Full";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "NT_Log_Management";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "NT_Process_CPU";
DELETE FROM O4SRV.TACTYPCY WHERE PCYNAME = "NT_Process_Memory";

