************************************************************************
*** "Universal Agent 610 Control Command SQL"                        ***
***                                                                  ***
*** 07/20/99  DTY   Add Console command control Take Actions         ***
*** 03/20/00  DTY   Add HTTP URL Add and Remove Take Actions         ***
*** 04/12/02  DFB   Add SQL delete before all Take Actions           ***
*** 06/07/04  DFB   Fix NETSUMMARY parameter for Manage Exclude      ***
*** 09/17/05  DFB   Add SQL update for situation description text    ***
***                                                                  ***
************************************************************************

DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTSTRMONITOR"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTSTRMONITOR",
  "0000000000000080000000000000000000000000000",
  "Monitor Start", "Begin collecting SNMP MIB table data",
  "SNMP MONITOR START AGENTINFO=(&AgentData ) INTERVAL=&Interval ATTRGRO
UP=&attrGroup");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTSTPMONITOR"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTSTPMONITOR",
  "0000000000000080000000000000000000000000000",
  "Monitor Stop", "End SNMP MIB data collection",
  "SNMP MONITOR STOP AGENTINFO=(&AgentData ) ATTRGROUP=&attrGroup");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTSTARMANAGE"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTSTARMANAGE",
  "0000000000000080000000000000000000000000000",
  "Manage Start", "Begin monitoring of network resources",
  "SNMP MANAGE START NETADDR=&SNMP-MANAGERNETSUMMARY00.Network_Address P
OLL=&CheckFrequency"); 
 
DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTSTOPMANAGE"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTSTOPMANAGE",
  "0000000000000080000000000000000000000000000",
  "Manage Stop", "Stop monitoring of network resources",
 "SNMP MANAGE STOP NETADDR=&SNMP-MANAGERNETSUMMARY00.Network_Address");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTEXCLMANAGE"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTEXCLMANAGE",
  "0000000000000080000000000000000000000000000",
  "Manage Exclude", "Exclude monitoring of network resources",
  "SNMP MANAGE EXCLUDE NETADDR=&SNMP-MANAGERNETSUMMARY00.Network_Address
 OPTION=&YesNo");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0980820121212000KUMACTSNMPSET000"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0980820121212000KUMACTSNMPSET000",
  "0000000000000080000000000000000000000000000",
  "SNMP SET", "SNMP SET request",
  "SNMP SET NETADDR=&TargetAgentAddr COMMUNITY=&Community ATTR=&Attribut
eName VALUE=&SetToValue");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLDELETE";
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLDELETE",
  "0000000000000080000000000000000000000000000",
  "Control Delete", "Delete Application Metafile",
  "DP_CONTROL DELETE &MetaFileName"); 
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLIMPORT"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLIMPORT",
  "0000000000000080000000000000000000000000000",
  "Control Import", "Import Application Metafile",
  "DP_CONTROL IMPORT &MetaFileName");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLREFRES"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLREFRES",
  "0000000000000080000000000000000000000000000",
  "Control Refresh", "Refresh Application Metafile",
  "DP_CONTROL REFRESH &MetaFileName");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLSHUTDN"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLSHUTDN",
  "0000000000000080000000000000000000000000000",
  "Control Shutdown", "Shutdown Data Provider",
  "DP_CONTROL SHUTDOWN I");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLLOADCM"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLLOADCM",
  "0000000000000080000000000000000000000000000",
  "Control LoadComm", "Load SNMP Agent Community Name",
  "DP_CONTROL LOADCOMM");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLLOADLS"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLLOADLS",
  "0000000000000080000000000000000000000000000",
  "Control LoadList", "Load SNMP Managed Node List",
  "DP_CONTROL LOADLIST &ManagedNodeListName");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLLOADNA"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLLOADNA",
  "0000000000000080000000000000000000000000000",
  "Control LoadName", "Load SNMP Network Symbolic Name",
  "DP_CONTROL LOADNAME");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990720121212000KUMACTCNRLLOADTP"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990720121212000KUMACTCNRLLOADTP",
  "0000000000000080000000000000000000000000000",
  "Control Trapcnfg", "Load SNMP Trap Configuration",
  "DP_CONTROL TRAPCNFG");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990814001212000KUMACTCNFGMNLADD"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990814001212000KUMACTCNFGMNLADD",
  "0000000000000080000000000000000000000000000",
  "MNL Add Node", "Add Managed Node List resource",
  "DP_CONFIG MNLADD LIST=&MNL_Name NODE=&Resource_To_Add");
 
DELETE FROM O4SRV.CCT WHERE KEY = "0990814001212000KNWACTCNFGMNLREM"; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("0990814001212000KNWACTCNFGMNLREM",
  "0000000000000080000000000000000000000000000",
  "MNL Remove Node", "Remove Managed Node List Resource",
  "DP_CONFIG MNLREMOVE LIST=&MNL_Name NODE=&Resource_To_Remove");
 
DELETE FROM O4SRV.CCT WHERE KEY = "1000320121212000KUMACTURLADD    "; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("1000320121212000KUMACTURLADD    ",
  "0000000000000080000000000000000000000000000",
  "URL Add", "Add Monitoring URL",
  "DP_CONFIG URLADD URL=&URL ALIAS=&URLaliasName INTERVAL=&StatusInterva
l USER=&ID CACHE=&ObjCache%");
 
DELETE FROM O4SRV.CCT WHERE KEY = "1000320121212000KUMACTURLREMOVE "; 
INSERT INTO O4SRV.CCT (KEY, AFFINITIES, NAME, DESC, CMD)
  VALUES("1000320121212000KUMACTURLREMOVE ",
  "0000000000000080000000000000000000000000000",
  "URL Remove", "Remove Monitoring URL",
  "DP_CONFIG URLREMOVE URL=&URL USER=&ID");


*** "Universal Agent 610 PPS SQL statements" 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("HOTLIST_offline","*NONE","0000000000000080000000000000000
0##000000000","*NO","NNN","*YES","*NONE","","","","","","099031910401300
0","V100","SYSADMIN","","","","","*IF *SCAN SNMP-MANAGERMANAGED-NODES00.
Node_Status *EQ Off-line"," MV674","HOTL","E","0","000100","","","*NONE"
,"~","","Hot items offline status"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_egpError","*NONE","00000000000000800000000000000000##
000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092604000",
"V100","SYSADMIN","","","","","*IF *VALUE MIB-2EGP00.egpInErrors *GE 10 
*OR *VALUE MIB-2EGP00.egpOutErrors *GE 10"," MV51 MV568","MB2_","E","0",
"000100","","","*NONE","~","","MIB-2 EGP Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_egpNeighError","*NONE","00000000000000800000000000000
000##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092605
000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2EGPNEIGHTABLE00.egpN
eighInErrs *GE 10 *OR *VALUE MIB-2EGPNEIGHTABLE00.egpNeighOutErrs *GE 10
"," MV943 MV343","MB2_","E","0","000100","","","*NONE","~","","MIB-2 EGP
Neighbor Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_icmpError","*NONE","00000000000000800000000000000000#
#000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092605000"
,"V100","SYSADMIN","","","","","*IF *VALUE MIB-2ICMP00.icmpOutErrors *GE
20 *OR *VALUE MIB-2ICMP00.icmpInErrors *GE 20"," MV288 MV918","MB2_","E"
,"0","000100","","","*NONE","~","","MIB-2 ICMP Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_interfaceDown","*NONE","00000000000000800000000000000
000##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092605
000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2IFTABLE00.ifOperStat
us *EQ 2"," MV267","MB2_","E","0","000100","","","*NONE","~","","MIB-2 I
nterface Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_interfaceInError","*NONE","00000000000000800000000000
000000##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092
606000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2IFTABLE00.ifInErr
ors *GE 20 *OR *VALUE MIB-2IFTABLE00.ifInDiscards *GE 100"," MV262 MV252
","MB2_","E","0","000100","","","*NONE","~","","MIB-2 Interface Input Al
erts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_interfaceOutError","*NONE","0000000000000080000000000
0000000##000000000","*NO","NNN","*YES","*NONE","","","","","","099031909
2606000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2IFTABLE00.ifOutE
rrors *GE 20 *OR *VALUE MIB-2IFTABLE00.ifOutDiscards *GE 100"," MV802 MV
103","MB2_","E","0","000100","","","*NONE","~","","MIB-2 Interface Outpu
t Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_ipFragmentationError","*NONE","0000000000000080000000
0000000000##000000000","*NO","NNN","*YES","*NONE","","","","","","099031
9092606000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2IP00.ipFragFa
ils *GE 10"," MV814","MB2_","E","0","000100","","","*NONE","~","","MIB-2
 IP Fragmentation Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_ipInError","*NONE","00000000000000800000000000000000#
#000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092607000"
,"V100","SYSADMIN","","","","","*IF ( *VALUE MIB-2IP00.ipInHdrErrors *GE
 5 *OR *VALUE MIB-2IP00.ipInUnknownProtos *GE 20 ) *OR *VALUE MIB-2IP00.
ipInDiscards *GE 20"," MV180 MV537 MV28","MB2_","E","0","000100","","","
*NONE","~","","MIB-2 IP Input Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_ipOutError","*NONE","00000000000000800000000000000000
##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092607000
","V100","SYSADMIN","","","","","*IF *VALUE MIB-2IP00.ipOutDiscards *GE 
20 *OR *VALUE MIB-2IP00.ipOutNoRoutes *GE 20"," MV689 MV339","MB2_","E",
"0","000100","","","*NONE","~","","MIB-2 IP Output Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_snmpOperationViolations","*NONE","0000000000000080000
0000000000000##000000000","*NO","NNN","*YES","*NONE","","","","","","099
0319092607000","V100","SYSADMIN","","","","","*IF *VALUE MIB-2SNMP00.snm
pInBadCommunityNames *GE 10 *OR *VALUE MIB-2SNMP00.snmpInBadCommunityUse
s *GE 10"," MV788 MV568","MB2_","E","0","000100","","","*NONE","~","","M
IB-2SNMP Operation Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_tcpError","*NONE","00000000000000800000000000000000##
000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092608000",
"V100","SYSADMIN","","","","","*IF *VALUE MIB-2TCPCONNTABLE00.tcpInErrs 
*GE 10"," MV215","MB2_","E","0","000100","","","*NONE","~","","MIB-2 TCP
 Alerts"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("MB2_udpError","*NONE","00000000000000800000000000000000##
000000000","*NO","NNN","*YES","*NONE","","","","","","0990319092608000",
"V100","SYSADMIN","","","","","*IF *VALUE MIB-2UDP00.udpInErrors *GE 10"
,"MV582","MB2_","E","0","000100","","","*NONE","~","","MIB-2 UDP Alerts"
); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("NETWORK_not_responding","*NONE","000000000000008000000000
00000000##000000000","*NO","NNN","*YES","*NONE","","","","","","09903191
01030000","V100","SYSADMIN","","","","","*IF *VALUE SNMP-MANAGERNETSUMMA
RY00.Max_RespTime_ms *GT 500"," MV940","NETW","E","0","000100","","","*N
ONE","~","","A network is not responding within a reasonable time"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("ROUTER_status_offline","*NONE","0000000000000080000000000
0000000##000000000","*NO","NNN","*YES","*NONE","","","","","","099031909
4227000","V100","SYSADMIN","","","","","*IF *SCAN SNMP-MANAGERROUTER00.R
outer_Status *EQ Off-line"," MV244","ROUT","E","0","000100","","","*NONE
","~","","A router is in offline status"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("TRAP_category_errors","*NONE","00000000000000800000000000
000000##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319095
953000","V100","SYSADMIN","","","","","*IF *SCAN SNMP-MANAGERTRAP00.Cate
gory *EQ 'Error Events'"," MV258","TRAP","E","0","000000","","","*NONE",
"~","","An SNMP trap received with error category"); 

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PDT,PRNAMES,QIBCLASSI
D,QIBSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE
,TEXT) VALUES("TRAP_severity_errors","*NONE","00000000000000800000000000
000000##000000000","*NO","NNN","*YES","*NONE","","","","","","0990319100
128000","V100","SYSADMIN","","","","","*IF *SCAN SNMP-MANAGERTRAP00.Seve
rity *EQ Critical *OR *SCAN SNMP-MANAGERTRAP00.Severity *EQ 'Major Error
'"," MV115 MV743","TRAP","E","0","000000","","","*NONE","~","","An SNMP 
trap received with error severity"); 

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1000"
    WHERE SITNAME = "HOTLIST_offline";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1001"
    WHERE SITNAME = "MB2_egpError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1002"
    WHERE SITNAME = "MB2_egpNeighError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1003"
    WHERE SITNAME = "MB2_icmpError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1004"
    WHERE SITNAME = "MB2_interfaceDown";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1005"
    WHERE SITNAME = "MB2_interfaceInError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1006"
    WHERE SITNAME = "MB2_interfaceOutError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1007"
    WHERE SITNAME = "MB2_ipFragmentationError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1008"
    WHERE SITNAME = "MB2_ipInError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1009"
    WHERE SITNAME = "MB2_ipOutError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1010"
    WHERE SITNAME = "MB2_snmpOperationViolations";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1011"
    WHERE SITNAME = "MB2_tcpError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1012"
    WHERE SITNAME = "MB2_udpError";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1013"
    WHERE SITNAME = "NETWORK_not_responding";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1014"
    WHERE SITNAME = "ROUTER_status_offline";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1015"
    WHERE SITNAME = "TRAP_category_errors";

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kum:KUM1016"
    WHERE SITNAME = "TRAP_severity_errors";

