#!/bin/ksh

echo "Start postinstall_callpoint" > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
echo "CANDLEHOME: $CANDLEHOME" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

set > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.set_info

curDir=`pwd`
echo "Current dir: $curDir" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

ls -la > $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.dir_info

# we only want to run this in the upgrade case
echo "Value of INST_COMP_BASE_INFO_INSTALL_OPERATION: $INST_COMP_BASE_INFO_INSTALL_OPERATION" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run

   if [ $INST_COMP_BASE_INFO_INSTALL_OPERATION = "fresh" ]
   then
      echo "The install operation is fresh - we only run with upgrade - exiting" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
      exit
   else
      echo "The install operation is upgrade - we only run with upgrade - continuing" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
   fi

echo "Calling restore.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
cmd2="ksh $curDir/restore.sh"
echo "COMMAND2: $cmd2" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
$cmd2
retCode=$?
echo "Return code: $retCode" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run
echo "Done calling postinstall.sh" >> $INST_COMP_ENV_INFO_SCRATCH_DIR/postinstall_callpoint.run


